package com.javacodegeeks.android.androidwidgetdialog;

import java.util.Random;

import android.app.Activity;
import android.os.Bundle;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.Window;
import android.widget.Button;
import android.widget.TextView;

public class PopUpActivity extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		requestWindowFeature(Window.FEATURE_NO_TITLE);
		setContentView(R.layout.activity_pop_up);

		String dialogText = "Dialog Box : " + (new Random().nextInt(100));
		TextView txt = (TextView) findViewById(R.id.mytxt);
		txt.setText(dialogText);

		Button dismissbutton = (Button) findViewById(R.id.closBtn);
		dismissbutton.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				PopUpActivity.this.finish();
			}
		});
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.pop_up, menu);
		return true;
	}

}
